Eval runs
List a suite's runs
Recent runs for a suite, newest first.
GET
/
projects
/
{projectId}
/
eval-suites
/
{suiteId}
/
runs
List a suite's runs
curl --request GET \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"suiteId": "<string>",
"status": "pending",
"source": "ui",
"createdAt": 123,
"runNumber": 123,
"result": "passed",
"summary": {
"total": 123,
"passed": 123,
"failed": 123,
"passRate": 123
},
"notes": "<string>",
"completedAt": 123,
"scoreIntegrity": "valid",
"verdictPolicyVersion": 2,
"verdictSummary": {},
"verdictPolicyIntegrityError": "<string>",
"environment": {
"id": "<string>",
"name": "<string>",
"revision": 123
},
"runGroupId": "<string>",
"effectiveModelId": "<string>",
"modelSource": "client_default",
"executionEngine": "<string>",
"insights": {
"schemaVersion": 1,
"scope": {
"kind": "eval_run",
"id": "<string>",
"runId": "<string>",
"scenarioId": "<string>",
"windowStartAt": 123,
"windowEndAt": 123
},
"status": "not_available",
"reasonCode": "<string>",
"retryable": true,
"error": {
"code": "<string>",
"message": "<string>"
},
"generatedAt": 123,
"updatedAt": 123,
"summary": "<string>",
"coverage": {
"unit": "iterations",
"analyzed": 123,
"total": 123,
"truncated": true,
"lowConfidence": true,
"gradedCount": 123,
"feedbackCount": 123
},
"findings": [
{
"id": "<string>",
"signalFingerprint": "<string>",
"title": "<string>",
"category": "unknown",
"attribution": "unknown",
"actionTarget": "investigate",
"actionability": "informational",
"severity": "info",
"confidence": "low",
"observed": "<string>",
"recommendation": "<string>",
"acceptanceCriteria": [
"<string>"
],
"affected": {
"count": 123,
"total": 123,
"unit": "iterations"
},
"evidence": [
{
"kind": "tool_error",
"excerpt": "<string>",
"sessionId": "<string>",
"iterationId": "<string>",
"toolName": "<string>",
"errorCode": "<string>"
}
],
"rootCause": "<string>",
"patternSlug": "<string>",
"target": {
"serverId": "<string>",
"surface": "description",
"snapshotHash": "<string>",
"toolName": "<string>",
"fieldPath": "<string>",
"currentDefinition": {
"truncated": true,
"description": "<string>",
"inputSchemaJson": "<string>",
"outputSchemaJson": "<string>"
}
}
}
],
"truncation": {
"truncated": true,
"omittedFindings": 123,
"omittedEvidence": 123,
"contractTruncated": true
},
"runHealth": {
"targets": [
{
"subjectKind": "environment",
"subjectId": "<string>",
"subjectLabel": "<string>",
"attempted": 123,
"succeeded": 123,
"failed": 123,
"rateLimited": 123
}
]
}
},
"judges": {
"goalCompletion": {
"status": "pending",
"errorCode": "<string>",
"summary": "<string>",
"generatedAt": 123,
"modelUsed": "<string>",
"threshold": 123,
"cases": [
{
"caseKey": "<string>",
"score": 123,
"passed": true,
"reason": "<string>",
"rubricHits": [
"<string>"
]
}
]
},
"groundedness": {
"status": "pending",
"errorCode": "<string>",
"summary": "<string>",
"generatedAt": 123,
"modelUsed": "<string>",
"threshold": 123,
"cases": [
{
"caseKey": "<string>",
"score": 123,
"passed": true,
"reason": "<string>",
"unsupportedClaims": [
"<string>"
]
}
]
}
}
}
]
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Eval suite ID, as returned by POST /eval-runs.
Query Parameters
Maximum runs to return, 1–100. Defaults to 25.
Required range:
1 <= x <= 100Response
Recent runs, newest first.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List a suite's runs

